关于换源

为当前最终发行版之前的所有版本提供支持
回复
honking
帖子: 20
注册时间: 2007-02-01 16:08
送出感谢: 0
接收感谢: 0

关于换源

#1

帖子 honking » 2007-05-06 15:18

honking@honking-laptop:~$ sudo gedit /etc/apt/sourecs.ist
Launching a SCIM daemon with Socket FrontEnd...
Loading simple Config module ...
Creating backend ...
Loading socket FrontEnd module ...
Starting SCIM as daemon ...
GTK Panel of SCIM 1.4.4

我用命令 sudo gedit /etc/apt/sourecs.ist 再输入源,比如代码如下


deb http://ubuntu.cnsite.org/ubuntu/ feisty main restricted universe multiverse
deb-src http://ubuntu.cnsite.org/ubuntu/ feisty main restricted universe multiverse
deb http://ubuntu.cnsite.org/ubuntu/ feisty-updates main restricted universe multiverse
deb-src http://ubuntu.cnsite.org/ubuntu/ feisty-updates main restricted universe multiverse
deb http://ubuntu.cnsite.org/ubuntu/ feisty-backports main restricted universe multiverse
deb-src http://ubuntu.cnsite.org/ubuntu/ feisty-backports main restricted universe multiverse
deb http://ubuntu.cnsite.org/ubuntu/ feisty-security main restricted universe multiverse
deb-src http://ubuntu.cnsite.org/ubuntu/ feisty-security main restricted universe multiverse
deb http://ubuntu.cnsite.org/ubuntu/ feisty-proposed main multiverse restricted universe
deb-src http://ubuntu.cnsite.org/ubuntu/ feisty-proposed main restricted universe multiverse

再用命令sudo apt-get update但是在执行的时候是这样的,如下,换了其他的源也是这样的,源好像没有换成功,这是怎么回事阿,那位高手教教我,谢谢

honking@honking-laptop:~$ sudo apt-get update
获取:1 http://mirror9.net9.org dapper Release.gpg [189B]
获取:2 http://mirror9.net9.org dapper-backports Release.gpg [191B]
获取:3 http://mirror9.net9.org dapper-proposed Release.gpg [191B]
获取:4 http://mirror9.net9.org dapper-security Release.gpg [191B]
获取:5 http://mirror9.net9.org dapper-updates Release.gpg [191B]
忽略 http://mirror9.net9.org dapper Release.gpg
命中 http://mirror9.net9.org dapper Release
命中 http://mirror9.net9.org dapper-backports Release
命中 http://mirror9.net9.org dapper-proposed Release
命中 http://mirror9.net9.org dapper-security Release
命中 http://mirror9.net9.org dapper-updates Release
忽略 http://mirror9.net9.org dapper Release
命中 http://mirror9.net9.org dapper/main Packages
命中 http://mirror9.net9.org dapper/multiverse Packages
命中 http://mirror9.net9.org dapper/restricted Packages
命中 http://mirror9.net9.org dapper/universe Packages
命中 http://mirror9.net9.org dapper-backports/main Packages
命中 http://mirror9.net9.org dapper-backports/multiverse Packages
命中 http://mirror9.net9.org dapper-backports/restricted Packages
命中 http://mirror9.net9.org dapper-backports/universe Packages
命中 http://mirror9.net9.org dapper-proposed/main Packages
命中 http://mirror9.net9.org dapper-proposed/multiverse Packages
命中 http://mirror9.net9.org dapper-proposed/restricted Packages
命中 http://mirror9.net9.org dapper-proposed/universe Packages
命中 http://mirror9.net9.org dapper-security/main Packages
命中 http://mirror9.net9.org dapper-security/multiverse Packages
命中 http://mirror9.net9.org dapper-security/restricted Packages
命中 http://mirror9.net9.org dapper-security/universe Packages
命中 http://mirror9.net9.org dapper-updates/main Packages
命中 http://mirror9.net9.org dapper-updates/multiverse Packages
命中 http://mirror9.net9.org dapper-updates/restricted Packages
命中 http://mirror9.net9.org dapper-updates/universe Packages
忽略 http://mirror9.net9.org dapper/main Packages
忽略 http://mirror9.net9.org dapper/multiverse Packages
忽略 http://mirror9.net9.org dapper/restricted Packages
忽略 http://mirror9.net9.org dapper/universe Packages
命中 http://mirror9.net9.org dapper/main Packages
命中 http://mirror9.net9.org dapper/multiverse Packages
命中 http://mirror9.net9.org dapper/restricted Packages
命中 http://mirror9.net9.org dapper/universe Packages
下载 5B,耗时 32s (0B/s)
正在读取软件包列表... 有错误!
E: Problem parsing dependency Depends
E: 处理 bmp-wma (NewVersion1)时出错
E: Problem with MergeList /var/lib/apt/lists/mirror9.net9.org_ubuntu-cn_dists_dapper_main_binary-i386_Packages
E: 无法解析或打开软件包的列表或是状态文件。
eric724
帖子: 17
注册时间: 2005-08-11 16:56
送出感谢: 0
接收感谢: 0

Re: 关于换源

#2

帖子 eric724 » 2007-05-06 17:31

honking 写了:honking@honking-laptop:~$ sudo gedit /etc/apt/sourecs.ist
......
正在读取软件包列表... 有错误!
E: Problem parsing dependency Depends
E: 处理 bmp-wma (NewVersion1)时出错
E: Problem with MergeList /var/lib/apt/lists/mirror9.net9.org_ubuntu-cn_dists_dapper_main_binary-i386_Packages
E: 无法解析或打开软件包的列表或是状态文件。
换个源,把带Ubuntu-cn的那行注释掉,应该能好
kuerbt
帖子: 305
注册时间: 2006-04-13 13:53
送出感谢: 0
接收感谢: 1 次

顶一下

#3

帖子 kuerbt » 2007-05-08 9:21

我的也是这个问题,已经持续快一个月了
我觉得应该是源服务器的问题。有没有人的情况是这样子的,请大家通报一下。

正在读取软件包列表... 有错误!
E: Problem parsing dependency Depends
E: 处理 bmp-wma (NewVersion1)时出错
E: Problem with MergeList /var/lib/apt/lists/ubuntu.cn99.com_ubuntu-cn_dists_edgy_main_binary-i386_Packages
E: 无法解析或打开软件包的列表或是状态文件。

我尝试使用cn99和cnsite的源,都有问题。这次不知道是哪里的问题了。
回复

回到 “老旧版本支持”